## kdegraphics 4.4.5

=== debian/changelog ===
kdegraphics (4:4.4.5-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Adapt changelog to match the actual upload history.
  * Fix mistake in Solid action predicate for kamera (Closes: #585717). Thanks
    to dju` <dju@elegiac.net> for the patch.

  [ Pino Toscano ]
  * Import upstream revision r1167826 to fix CVE-2010-2575 in the plucker
    backend of Okular.

  [ Sune Vuorela ]
  * Some description updates.
  * Urgency medium for the security issue.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 27 Aug 2010 15:35:55 +0200

kdegraphics (4:4.4.5-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Some changes in the package descriptions, including:
    - expanded description of okular, so all the formats supported by plugins
      in that package are listed
    - typo fixed in description of libkdcraw8 (Closes: #585429)

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update kexiv symbol files

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 00:56:14 +0200

kdegraphics (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Update libkexiv2-8.symbols for kfreebsd-i386.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop quilt-build-dep-but-no-series-file from lintian source overrides,
    it is no longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

  [ Sune Vuorela ]
  * Change my email address

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:16 +0300

kdegraphics (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Drop "compatibility" provides (libkdcraw7-dev libkexiv2-7-dev libkipi6-dev)
    from the respective *-dev packages. The number of affected 3rd party
    packages is too small to warrant this. (Closes: #576727)
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on i386 ia64 kfreebsd-amd64 kfreebsd-i386
    powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:53 +0300

kdegraphics (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - Okular prints the number of copies specified. (Closes: #560378)
    - Gwenview re-opens images that were open at the end of the session.
      (Closes: #536044)

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build depends to 4:4.4, libphonon-dev to 4:4.6.0really4.3.80.
  * Bump pkg-kde-tools dependency to 0.6.4.
  * Build depend on shared-mime-info and shared-desktop-ontologies.
  * Change the name of following library packages due to bumped soname versions
    and drop soname version number from the development package names:
    - libkipi6 -> libkipi7. Development package renamed to libkipi-dev;
    - libkdcraw7 -> libkdcraw8. Development package renamed to libkdcraw-dev;
    - libkexiv2-7 -> libkexiv2-8. Development package renamed to libkexiv2-dev;
  * Split off libkipi7, libkdcraw8 and libksane0 data files to
    the new kdegraphics-libs-data package in order to allow less painful
    upgrades next time. Make library packages depend on it with
    >= ${source:Version} relationship.
  * Update install files.
  * Add ${misc:Depends} to Depends field of all packages which missed it.
  * Add lintian overrides.
  * Add symbol files for public libraries.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.

  [ Pino Toscano ]
  * Add the libxext-dev build-depend, so we are sure to have
    X11/extensions/shape.h for ksnapshot.
  * Change the khelpcenter suggest of kgamma to khelpcenter4.
  * Okular suggestions:
    - change texlive-base-bin to texlive-binaries, as it is the new texlive
      package containing `kpsewhich' (for TeX fonts in DVI documents)
    - add kttsd (for the speech functions)
  * Add some more mailcap entries for okular.
    - ... including application/x-pdf (Closes: #565873)

  [ Sune Vuorela ]
  * Add old -dev package names to renamed -dev packages to keep rdeps
    binNMU'able

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:15:17 +0300

kdegraphics (4:4.3.4-1) unstable; urgency=low

  * New upstream release.
    - Fix Okular open encoded URLs. (Closes: #546278)
    - Fix display of rotated pages of PDF documents in Okular.
      (Closes: #541308)

  +++ Changes by Karl Ferdinand Ebert:

  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Pino Toscano:

  * Suggest ghostscript for okular, for the PS-as-PDF import function.
    (Closes: #557646)

  +++ Changes by Modestas Vainius:

  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:07 +0200

kdegraphics (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Make okular provide the virtual postscript-viewer capability.
  * Add the poppler-data suggestion for okular, as it can be useful for
    showing correctly CJK text in PDF documents.
  * Recommend okular for okular-extra-backends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 06 Oct 2009 23:08:24 +0200


