=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_libokularcore1 := -V
DEB_DH_MAKESHLIBS_ARGS_libksane0 := -V
DEB_DH_MAKESHLIBS_ARGS_libkdcraw7 := -V
DEB_DH_MAKESHLIBS_ARGS_libkexiv2-7 := -V
DEB_DH_MAKESHLIBS_ARGS_libkipi6 := -V
DEB_DH_SHLIBDEPS_ARGS_libokularcore1 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libksane0 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkdcraw7 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkipi6 := -- -xkdebase-runtime
DEB_DH_SHLIBDEPS_ARGS_libkexiv2-7 := -- -xkdebase-runtime
