## kdegraphics 4.5.1

=== debian/changelog ===
kdegraphics (4:4.5.1-0ubuntu3) maverick; urgency=low

  * Add kubuntu_03_gwenview_black_list_to_documents_only.diff
    (http://bugs.kde.org/show_bug.cgi?id=249878)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 15 Sep 2010 04:18:07 +0200

kdegraphics (4:4.5.1-0ubuntu2) maverick; urgency=low

  * kubuntu_01_fix_kamera_solid_action.diff: Fix a typo in the solid action
    desktop file that prevented it from working
  * kubuntu_02_gwenview_add_camera_solid_action.diff: Added a solid action
    for opening cameras with gwenview_importer

 -- Guillaume Martres <smarter@ubuntu.com>  Thu, 09 Sep 2010 17:55:27 +0200

kdegraphics (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Drop kubuntu_01_okular_cve-2010-2575.diff (applied upstream)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 16:26:02 +0200

kdegraphics (4:4.5.0b-0ubuntu3) maverick; urgency=low

  * SECURITY UPDATE: integer overflow error in Okular
   - Add kubuntu_01_okular_cve-2010-2575.diff patch checks for valid input
   - CVE-2010-2575
   - SA40952

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Aug 2010 17:08:37 +0100

kdegraphics (4:4.5.0b-0ubuntu2) maverick; urgency=low

  * Fix libokularcore1.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Aug 2010 11:04:15 +0100

kdegraphics (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:05 +0100

kdegraphics (4:4.5.0-0ubuntu1) maverick; urgency=low

  [ Michał Zając ]
  * New upstream RC release
    - Bump on build-depends

  [ Harald Sitter ]
  * New upstream release
    - Also Bump the build-depends ;)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 29 Jul 2010 22:26:27 +0200

kdegraphics (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest
    - Update symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 10:33:08 +0200

kdegraphics (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release:
    - Bump kde-sc-dev-latest
    - Update libkipi7.install
    - Remove README.source

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 25 Jun 2010 04:28:34 +0200

kdegraphics (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream beta release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 01:46:56 +0200

kdegraphics (4:4.4.80-0ubuntu2) maverick; urgency=low

  * Make libkexiv2-8 depend on kdegraphics-libs-data
  * Make kdegraphics-libs-data replace old libkexiv2-8 and add versioned
    replaces for libkipi7 and libkdcraw8

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 01 Jun 2010 18:09:43 +0000

kdegraphics (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest build-dep to 4.4.80
    - Update various .install files for .so version bumps
    - Update various .symbols files for library packages
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16
  * Bump the library versions of packages that should exclude dependencies on
    kdebase-runtime; they hadn't been bumped since KDE 4.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 22:38:23 -0400

kdegraphics (4:4.4.3-1ubuntu2) maverick; urgency=low

  * kdegraphics-libs-data: drop libkdcraw8 and libkipi7 from conflicts

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 21 May 2010 20:28:43 +0200

kdegraphics (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Don't add libchm-dev (it's in Universe)
    - In kcolorchooser don't add conflict/replace kcoloredit
    - Don't advertise chm backends in okular-extra-backends description
    - In libkdcraw8 description keep "libkdcraw8" and not "libkdcraw5"

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 14:54:09 -0400

kdegraphics (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 20:52:34 +0200

kdegraphics (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Bump version of KDE build-depends to 4.4.2

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 28 Mar 2010 22:41:35 +0200

kdegraphics (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 14:53:17 -0500

kdegraphics (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
   - Bump on Build-Depends

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 04 Feb 2010 21:49:55 +0100

kdegraphics (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions
    - Update libokularcore1.install

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 19:51:04 +0100

kdegraphics (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 19:53:25 +0100

kdegraphics (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions
    - Update various .install files
  * Build against newest libexiv2 (LP: #502565)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 17:18:48 -0500

kdegraphics (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Update various .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 19:24:20 -0500

kdegraphics (4:4.3.80-0ubuntu2) lucid; urgency=low

  * Add missing (new) include files to -dev packages:
    - libkdcraw8-dev.install
    - libkexiv2-8-dev.install
    - libkipi7-dev.install


