## kdegraphics 4.5.5

=== debian/changelog ===
kdegraphics (4:4.5.5-0ubuntu2.1) maverick-security; urgency=low

  * No change rebuild for security. This is needed to build kdeutils in
    the security pocket.

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 08 Nov 2011 16:46:22 -0600

kdegraphics (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 update per micro-version release exception
    (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 01:23:27 -0400

kdegraphics (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:13:52 -0700

kdegraphics (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 00:37:56 +0000

kdegraphics (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 17:31:48 +0000

kdegraphics (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * New upstream release
    - Drop kubuntu_01_fix_kamera_solid_action.diff, applied upstream
    - Drop kubuntu_03_gwenview_black_list_to_documents_only.diff, applied upstream
    - Refresh kruler.install

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Oct 2010 22:27:35 +0530
